import * as routeSync from '../lib/umd/index.umd';
class RouterPlugin {
    constructor() {
        this.mixin = {
            created: () => null,
        }
    }
    initPlugin() {
        this.mixin = Object.assign(routeSync.createRouteSyncMixin(), this.mixin)
        return {
            mixin: this.mixin,
            install: (Vue, options) => {
                Vue.options = Vue.util.mergeOptions(Vue.options, this.mixin)
            }
        }
    }
}
const initial = new RouterPlugin().initPlugin()
window.routerSyncPlugin = initial
export const routerSyncPlugin = initial