module.exports = {
    "moduleFileExtensions": [
        "js",
        "json",
        "vue"
    ],
    "transform": {
        "^.+\\.js$": "<rootDir>/node_modules/babel-jest", //  jest使用babel解析js
        ".*\\.(vue)$": "<rootDir>/node_modules/vue-jest" // jest对vue单文件的解析
    },
    "snapshotSerializers": [
        "<rootDir>/node_modules/jest-serializer-vue"
    ],
    "moduleNameMapper": {
        "^@/(.*)$": "<rootDir>/src/$1", //为了解析webpack配置的alias字段
        "^tim-architect/(.*)$": "<rootDir>/tim-architect/$1"
    },
    "transformIgnorePatterns": [
        "node_modules/(?!(yourModuleName))"
    ]
}